# htmx_contact

![build-status](https://drone.runcible.io/api/badges/androiddrew/htmx_contact/status.svg)

Learning HTMX by building a  the htmx contact.app

## First time setup

Create a virtual environment and activate it. Now from the root project directory run `./scripts/bootstrap`. This will install `pip-tools` and sync any dependencies for the first time.

## Dependency management

Dependencies are managed via [pip-tools].

### Adding a dependency

To add a dependency, edit `requirements.in` (or `dev-requirements.in`
for dev dependencies) and add your dependency then run `pip-compile
requirements.in`.

### Syncing dependencies

Run `pip-sync requirements.txt dev_requirements.txt`.

## Testing

Run the tests by invoking `py.test` in the project root.  Make sure you
run any pending migrations beforehand.
