from flask import Flask
from flask import redirect
from flask import render_template

app = Flask("htmx_contact")


@app.route("/", methods=["GET"])
def index():
    return redirect("/contacts")


@app.route("/contacts", methods=["GET"])
def contacts():
    return render_template("contacts.html", message="Hello HTMX")
